JDepend (Gradle API 5.5-20190702033235+0000)
Date: 2019-07-01

Package org.gradle.api.plugins.quality

## Class JDepend

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.plugins.quality.JDepend

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Reporting<JDependReports>`, `Task`, `org.gradle.util.Configurable<Task>`

      @CacheableTask
      @Deprecated
      public class JDepend
      extends DefaultTask
      implements Reporting<JDependReports>

  Deprecated.
  JDepend is unmaintained and does not support bytecode compiled for Java 8 and above.
  Analyzes code with JDepend.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JDepend()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.gradle.api.internal.project.IsolatedAntBuilder` | `getAntBuilder()` | Deprecated.
    `FileCollection` | `getClassesDirs()` | Deprecated. The directories containing the classes to be analyzed.
    `FileCollection` | `getJdependClasspath()` | Deprecated. The class path containing the JDepend library to be used.
    `protected ObjectFactory` | `getObjectFactory()` | Deprecated.
    `JDependReports` | `getReports()` | Deprecated. The reports to be generated by this task.
    `JDependReports` | `reports​(Closure closure)` | Deprecated. Configures the reports to be generated by this task.
    `JDependReports` | `reports​(Action<? super JDependReports> configureAction)` | Deprecated. Configures the reports to be generated by this task.
    `void` | `run()` | Deprecated.
    `void` | `setClassesDirs​(FileCollection classesDirs)` | Deprecated. The directories containing the classes to be analyzed.
    `void` | `setJdependClasspath​(FileCollection jdependClasspath)` | Deprecated. The class path containing the JDepend library to be used.

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JDepend

          public JDepend()

      Deprecated.

  - ### Method Detail

    - #### getClassesDirs

          @PathSensitive(RELATIVE)
          @InputFiles
          @SkipWhenEmpty
          public FileCollection getClassesDirs()

      Deprecated.
      The directories containing the classes to be analyzed.
      Since:
        4.0

    - #### setClassesDirs

          public void setClassesDirs​(FileCollection classesDirs)

      Deprecated.
      The directories containing the classes to be analyzed.
      Since:
        4.0

    - #### getObjectFactory

          @Inject
          protected ObjectFactory getObjectFactory()

      Deprecated.

    - #### getAntBuilder

          @Inject
          public org.gradle.api.internal.project.IsolatedAntBuilder getAntBuilder()

      Deprecated.

    - #### reports

          public JDependReports reports​(Closure closure)

      Deprecated.
      Configures the reports to be generated by this task. The contained reports can be configured by name and closures. Example:

           jdependTask {
             reports {
               xml {
                 destination "build/jdepend.xml"
               }
             }
           }

      Specified by:
        `reports` in interface `Reporting<JDependReports>`
      Parameters:
        `closure` - The configuration
      Returns:
        The reports container

    - #### reports

          public JDependReports reports​(Action<? super JDependReports> configureAction)

      Deprecated.
      Configures the reports to be generated by this task. The contained reports can be configured by name and closures. Example:

           jdependTask {
             reports {
               xml {
                 destination "build/jdepend.xml"
               }
             }
           }

      Specified by:
        `reports` in interface `Reporting<JDependReports>`
      Parameters:
        `configureAction` - The configuration
      Returns:
        The reports container

    - #### run

          public void run()

      Deprecated.

    - #### getJdependClasspath

          @Classpath
          public FileCollection getJdependClasspath()

      Deprecated.
      The class path containing the JDepend library to be used.

    - #### setJdependClasspath

          public void setJdependClasspath​(FileCollection jdependClasspath)

      Deprecated.
      The class path containing the JDepend library to be used.

    - #### getReports

          public final JDependReports getReports()

      Deprecated.
      The reports to be generated by this task.
      Specified by:
        `getReports` in interface `Reporting<JDependReports>`
      Returns:
        The report container